Subject: Re: bug#21885: 24.5; Transposing things with a negative argument

From: Eli Zaretskii <[email-masked]>
Date: Thu, 12 Nov 2015 20:24:20 +0200

> From: Stephen Leake <[email-masked]>
> Date: Thu, 12 Nov 2015 12:11:42 -0600
> Cc: [email-masked]
> 
> Eli Barzilay <[email-masked]> writes:
> 
> > In the past (IIRC, up to around v24.3) transposing things (chars,
> > words, sexprs, lines) would always leave the point after the
> > transposed thing. ...  This is no longer happenning.
> 
> I can't reproduce this. In Emacs 24.3, emacs -Q, in *scratch* buffer,
> where | is point:
> 
> fob|ar
> 
> invoke C-t transpose-char gives:
> 
> foab|r
> 
> Same behavior in emacs master.

I think I know the answer: the difference is visible only if you
invoke C-t with a negative argument, as in "C-- C-t".